/*
 *   OV48B_ECO_AM03
 */
// generated by sensor driver assistant.
#ifndef _OV48B2QMIPIRAW_SETTING_H
#define _OV48B2QMIPIRAW_SETTING_H
#include "ov48b2qmipiraw_Sensor.h"

static void write_cmos_sensor(kal_uint16 addr, kal_uint8 para);
static kal_uint16 read_cmos_sensor(kal_uint16 addr);
static kal_uint16 table_write_cmos_sensor(kal_uint16 *para, kal_uint32 len);

static kal_uint16 init_setting[] = {
    0x0103, 0x01,
    0x0102, 0x01,
    0x0301, 0xC8,
    0x0302, 0x31,
    0x0303, 0x03,
    0x0304, 0x01,
    0x0305, 0x75,
    0x0306, 0x04,
    0x0309, 0x52,
    0x0320, 0x12,
    0x0323, 0x03,
    0x0324, 0x01,
    0x0325, 0xE0,
    0x0326, 0xD9,
    0x0327, 0x0A,
    0x0329, 0x01,
    0x032A, 0x07,
    0x032B, 0x02,
    0x032F, 0x0C,
    0x0343, 0x03,
    0x0344, 0x01,
    0x0345, 0x04,
    0x0346, 0xC0,
    0x0349, 0x01,
    0x0350, 0x01,
    0x034B, 0x00,
    0x034A, 0x05,
    0x0361, 0x00,
    0x3010, 0x01,
    0x3012, 0x41,
    0x3016, 0xF0,
    0x3018, 0xF0,
    0x3019, 0xD2,
    0x301B, 0x16,
    0x3022, 0xD0,
    0x3025, 0x03,
    0x3026, 0x00,
    0x3027, 0x00,
    0x3028, 0xC3,
    0x3107, 0x0A,
    0x3200, 0x00,
    0x3201, 0x16,
    0x3202, 0x2C,
    0x3203, 0x42,
    0x3204, 0x58,
    0x3205, 0x5A,
    0x3223, 0x5B,
    0x3224, 0x5C,
    0x3225, 0x5D,
    0x3226, 0x5E,
    0x3216, 0x00,
    0x3218, 0x00,
    0x3400, 0x04,
    0x3406, 0x20,
    0x340C, 0xFF,
    0x340E, 0xFF,
    0x3421, 0x08,
    0x3423, 0x15,
    0x3424, 0x40,
    0x3425, 0x10,
    0x3426, 0x11,
    0x3501, 0x0B,
    0x3502, 0x00,
    0x3504, 0x08,
    0x3508, 0x03,
    0x3509, 0x00,
    0x350A, 0x01,
    0x350B, 0x00,
    0x350C, 0x00,
    0x3602, 0x00,
    0x3603, 0x00,
    0x3607, 0x01,
    0x3608, 0x35,
    0x3609, 0x80,
    0x360A, 0x00,
    0x360B, 0x7F,
    0x3618, 0x2A,
    0x3619, 0x90,
    0x361B, 0x2A,
    0x361C, 0x90,
    0x361D, 0x98,
    0x361E, 0x07,
    0x3621, 0x08,
    0x3622, 0x11,
    0x3623, 0x08,
    0x3624, 0x18,
    0x3626, 0xF9,
    0x3627, 0x11,
    0x3628, 0x88,
    0x3629, 0x0D,
    0x362C, 0x77,
    0x362E, 0x00,
    0x3631, 0xF2,
    0x3632, 0xF2,
    0x3633, 0x08,
    0x3634, 0x08,
    0x3635, 0x28,
    0x3636, 0x28,
    0x3637, 0xCC,
    0x3638, 0xCC,
    0x3639, 0xC0,
    0x363A, 0x52,
    0x363B, 0x0B,
    0x363C, 0x13,
    0x363E, 0x47,
    0x363D, 0x25,
    0x363F, 0x08,
    0x3643, 0x00,
    0x3644, 0x40,
    0x3680, 0x00,
    0x3683, 0x00,
    0x3684, 0x07,
    0x3685, 0x12,
    0x3688, 0x00,
    0x3689, 0x27,
    0x368A, 0x3A,
    0x368B, 0x04,
    0x368E, 0x0F,
    0x3700, 0x2E,
    0x3701, 0x08,
    0x3702, 0x46,
    0x3703, 0x35,
    0x3704, 0x06,
    0x3705, 0x00,
    0x3706, 0x2A,
    0x3707, 0x08,
    0x3708, 0x3A,
    0x3709, 0x7A,
    0x370A, 0x00,
    0x370B, 0x62,
    0x370C, 0x0B,
    0x3711, 0x00,
    0x3712, 0x50,
    0x3713, 0x00,
    0x3714, 0x63,
    0x3716, 0x44,
    0x3717, 0x02,
    0x3718, 0x14,
    0x3719, 0x11,
    0x371A, 0x1C,
    0x371B, 0xD0,
    0x371C, 0x04,
    0x371D, 0x22,
    0x371E, 0x13,
    0x371F, 0x0B,
    0x3720, 0x08,
    0x3721, 0x15,
    0x3722, 0x05,
    0x3723, 0x00,
    0x3724, 0x08,
    0x3725, 0x32,
    0x3727, 0x22,
    0x3728, 0x11,
    0x372A, 0x00,
    0x372B, 0x8A,
    0x3730, 0x00,
    0x3731, 0x00,
    0x3732, 0x06,
    0x3733, 0x06,
    0x3734, 0x06,
    0x3735, 0x06,
    0x3736, 0x0A,
    0x3737, 0x02,
    0x3738, 0x0A,
    0x3739, 0x02,
    0x373A, 0x0A,
    0x373B, 0x20,
    0x373C, 0x0A,
    0x373D, 0x26,
    0x373E, 0x0A,
    0x373F, 0x28,
    0x3740, 0x06,
    0x3741, 0x04,
    0x3742, 0x06,
    0x3743, 0x0A,
    0x3744, 0x16,
    0x3745, 0x0A,
    0x3746, 0x16,
    0x3747, 0x50,
    0x3748, 0x00,
    0x3749, 0xF0,
    0x374A, 0x02,
    0x374B, 0x02,
    0x374C, 0x08,
    0x374D, 0x03,
    0x374E, 0x05,
    0x374F, 0x08,
    0x3751, 0x07,
    0x3752, 0x02,
    0x3753, 0x01,
    0x3754, 0x66,
    0x3758, 0x03,
    0x375B, 0x00,
    0x375C, 0x00,
    0x375D, 0x02,
    0x375E, 0x02,
    0x3760, 0x08,
    0x3761, 0x10,
    0x3762, 0x08,
    0x3763, 0x08,
    0x3764, 0x08,
    0x3765, 0x10,
    0x3766, 0x18,
    0x3767, 0x28,
    0x3768, 0x00,
    0x3769, 0x08,
    0x376A, 0x10,
    0x376B, 0x00,
    0x376D, 0x1B,
    0x3770, 0x30,
    0x3773, 0x42,
    0x3774, 0x10,
    0x3775, 0x00,
    0x3776, 0x12,
    0x3777, 0x14,
    0x3778, 0x0E,
    0x3779, 0x22,
    0x377A, 0x24,
    0x377B, 0x46,
    0x377C, 0x14,
    0x377D, 0x04,
    0x377E, 0x16,
    0x377F, 0x04,
    0x379B, 0x10,
    0x379C, 0x10,
    0x379D, 0x10,
    0x379E, 0x30,
    0x379F, 0x30,
    0x37A0, 0x0C,
    0x37A1, 0x0C,
    0x37A2, 0x04,
    0x37A3, 0x0C,
    0x37A4, 0x04,
    0x37A5, 0x00,
    0x37A6, 0x00,
    0x37A7, 0x18,
    0x37A8, 0x0A,
    0x37A9, 0x08,
    0x37AA, 0x08,
    0x37AB, 0x0D,
    0x37AC, 0x14,
    0x37AD, 0x14,
    0x37AE, 0x14,
    0x37B0, 0x40,
    0x37B1, 0x40,
    0x37B2, 0x30,
    0x37B3, 0x46,
    0x37B4, 0x46,
    0x37B5, 0x36,
    0x37B6, 0x00,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37B9, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x37BD, 0x00,
    0x37BE, 0x00,
    0x37BF, 0x00,
    0x37C0, 0x03,
    0x37C1, 0x02,
    0x37C2, 0x06,
    0x37C3, 0x04,
    0x37C4, 0x01,
    0x37C5, 0x06,
    0x37C8, 0x04,
    0x37C9, 0x04,
    0x37CA, 0xF9,
    0x37CB, 0x10,
    0x37CC, 0xF0,
    0x37CD, 0x02,
    0x37CE, 0x0A,
    0x37CF, 0x02,
    0x37D0, 0x0A,
    0x37D1, 0x02,
    0x37D2, 0x0A,
    0x37D3, 0x02,
    0x37D4, 0x00,
    0x37D5, 0x10,
    0x37D6, 0x01,
    0x37D7, 0x44,
    0x37D8, 0x06,
    0x37D9, 0x00,
    0x37DA, 0x10,
    0x37DC, 0x06,
    0x37DE, 0x02,
    0x37DF, 0x80,
    0x37E0, 0x03,
    0x37E1, 0x04,
    0x37E2, 0x06,
    0x37E3, 0x18,
    0x37E4, 0x0A,
    0x37E5, 0x16,
    0x37E6, 0x0A,
    0x37E7, 0x16,
    0x37E8, 0x0A,
    0x37E9, 0x1C,
    0x37EB, 0x06,
    0x37EC, 0x06,
    0x37ED, 0x0A,
    0x37EE, 0x02,
    0x37F0, 0x0A,
    0x37F1, 0x02,
    0x37F2, 0x0A,
    0x37F3, 0x02,
    0x37F6, 0x03,
    0x37F7, 0x02,
    0x37F8, 0x3C,
    0x37F9, 0x02,
    0x37FA, 0x02,
    0x37FB, 0x02,
    0x37FC, 0x00,
    0x37FD, 0x00,
    0x37FE, 0x00,
    0x37FF, 0x00,
    0x3800, 0x00,
    0x3801, 0x00,
    0x3802, 0x00,
    0x3803, 0x00,
    0x3804, 0x1F,
    0x3805, 0x5F,
    0x3806, 0x17,
    0x3807, 0x8F,
    0x3808, 0x0F,
    0x3809, 0xA0,
    0x380A, 0x0B,
    0x380B, 0xB8,
    0x380C, 0x04,
    0x380D, 0x50,
    0x380E, 0x0D,
    0x380F, 0x96,
    0x3810, 0x00,
    0x3811, 0x09,
    0x3812, 0x00,
    0x3813, 0x08,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3816, 0x01,
    0x3817, 0x10,
    0x3818, 0x01,
    0x3819, 0x00,
    0x381F, 0x02,
    0x3820, 0x02,
    0x3821, 0x06,
    0x3822, 0x10,
    0x3823, 0x04,
    0x3837, 0x18,
    0x383A, 0x00,
    0x383B, 0x00,
    0x383C, 0x00,
    0x383D, 0x09,
    0x383E, 0x0C,
    0x383F, 0x33,
    0x3840, 0x00,
    0x3841, 0x00,
    0x3848, 0x12,
    0x3849, 0x40,
    0x384A, 0x0D,
    0x384B, 0xB0,
    0x3854, 0x11,
    0x3855, 0x11,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x3860, 0x20,
    0x3A01, 0x7F,
    0x3D85, 0x8B,
    0x3D8C, 0x77,
    0x3D8D, 0xA0,
    0x3DAB, 0x10,
    0x3DAC, 0x05,
    0x3DAD, 0x8B,
    0x3DAE, 0x05,
    0x3DAF, 0x8F,
    0x3F01, 0x12,
    0x4002, 0x13,
    0x4009, 0x01,
    0x400E, 0xC6,
    0x4010, 0xE8,
    0x4011, 0x01,
    0x4012, 0x7D,
    0x4015, 0x00,
    0x4016, 0x0F,
    0x4017, 0x00,
    0x4018, 0x03,
    0x401A, 0x40,
    0x401B, 0x10,
    0x401E, 0x01,
    0x401F, 0xAA,
    0x4020, 0x04,
    0x4021, 0x00,
    0x4022, 0x04,
    0x4023, 0x00,
    0x4024, 0x04,
    0x4025, 0x00,
    0x4026, 0x04,
    0x4027, 0x00,
    0x4028, 0x01,
    0x4030, 0x00,
    0x4031, 0x04,
    0x4032, 0x00,
    0x4033, 0x04,
    0x4034, 0x00,
    0x4035, 0x04,
    0x4036, 0x00,
    0x4037, 0x04,
    0x4040, 0x00,
    0x4041, 0x00,
    0x4042, 0x00,
    0x4043, 0x00,
    0x4044, 0x00,
    0x4045, 0x00,
    0x4046, 0x00,
    0x4047, 0x00,
    0x4056, 0x25,
    0x4500, 0x04,
    0x4502, 0x10,
    0x4510, 0x00,
    0x4512, 0x00,
    0x4513, 0x00,
    0x4514, 0x00,
    0x4515, 0x00,
    0x4516, 0x55,
    0x4517, 0x55,
    0x4518, 0x55,
    0x4519, 0x55,
    0x451A, 0x11,
    0x451B, 0xBB,
    0x451C, 0x11,
    0x451D, 0xBB,
    0x451E, 0x11,
    0x451F, 0xBB,
    0x4520, 0x11,
    0x4521, 0xBB,
    0x4522, 0x00,
    0x4523, 0x00,
    0x4524, 0x00,
    0x4525, 0x00,
    0x4526, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4603, 0x17,
    0x4641, 0x3E,
    0x4643, 0x0C,
    0x4800, 0x64,
    0x480E, 0x04,
    0x4810, 0x00,
    0x4811, 0x02,
    0x4815, 0x2B,
    0x4837, 0x08,
    0x4853, 0x04,
    0x484B, 0x27,
    0x4850, 0x43,
    0x4858, 0x05,
    0x4860, 0x00,
    0x4861, 0xEC,
    0x4862, 0x04,
    0x4883, 0x00,
    0x4888, 0x90,
    0x4889, 0x03,
    0x4A00, 0x10,
    0x4D00, 0x04,
    0x4D01, 0x49,
    0x4D02, 0xBF,
    0x4D03, 0xFB,
    0x4D04, 0x2A,
    0x4D05, 0x9B,
    0x5000, 0xCD,
    0x5001, 0x23,
    0x5002, 0x9E,
    0x5003, 0x92,
    0x5004, 0x01,
    0x5006, 0x00,
    0x5015, 0x02,
    0x501D, 0x00,
    0x5051, 0x14,
    0x5080, 0x00,
    0x5081, 0x00,
    0x5180, 0x00,
    0x5181, 0x10,
    0x5182, 0x05,
    0x5183, 0x8F,
    0x5184, 0x01,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5188, 0x08,
    0x5198, 0x08,
    0x518C, 0x02,
    0x518D, 0x06,
    0x518E, 0x02,
    0x518F, 0x06,
    0x5200, 0x6F,
    0x52A5, 0x08,
    0x522A, 0x44,
    0x522B, 0x44,
    0x5300, 0x7B,
    0x5308, 0x44,
    0x5310, 0x00,
    0x5311, 0x01,
    0x5312, 0x01,
    0x5313, 0x02,
    0x5314, 0x04,
    0x5315, 0x06,
    0x5316, 0x08,
    0x5317, 0x0A,
    0x5318, 0x0C,
    0x5319, 0x0E,
    0x531A, 0x10,
    0x531B, 0x12,
    0x531C, 0x14,
    0x531D, 0x16,
    0x531E, 0x18,
    0x533D, 0x00,
    0x5380, 0x0F,
    0x53C0, 0x88,
    0x53C1, 0x8B,
    0x53C2, 0x8A,
    0x53C3, 0x88,
    0x53C4, 0x8B,
    0x53C5, 0x8B,
    0x53C6, 0x75,
    0x53C7, 0x74,
    0x53C8, 0x77,
    0x53C9, 0x8A,
    0x53CA, 0x8A,
    0x53CB, 0x8B,
    0x53CC, 0x76,
    0x53CD, 0x71,
    0x53CE, 0x71,
    0x53CF, 0x8A,
    0x53D0, 0x88,
    0x53D1, 0x8E,
    0x53D2, 0x71,
    0x53D3, 0x71,
    0x53D4, 0x70,
    0x53D5, 0x8B,
    0x53D6, 0x8E,
    0x53D7, 0x8F,
    0x53D8, 0x70,
    0x53D9, 0x72,
    0x53DA, 0x7D,
    0x53DB, 0x77,
    0x53DC, 0x8A,
    0x53DD, 0x88,
    0x53DE, 0x72,
    0x53DF, 0x7F,
    0x53E0, 0x7E,
    0x53E1, 0x72,
    0x53E2, 0x76,
    0x53E3, 0x74,
    0x53E4, 0x74,
    0x53E5, 0x74,
    0x53E6, 0x77,
    0x53E7, 0x77,
    0x53E8, 0x75,
    0x53E9, 0x8A,
    0x53EA, 0x75,
    0x53EB, 0x74,
    0x53EC, 0x77,
    0x53ED, 0x71,
    0x53EE, 0x77,
    0x53EF, 0x77,
    0x53F0, 0x88,
    0x53F1, 0x8B,
    0x53F2, 0x74,
    0x53F3, 0x70,
    0x53F4, 0x71,
    0x53F5, 0x71,
    0x53F6, 0x89,
    0x53F7, 0x89,
    0x53F8, 0x8B,
    0x53F9, 0x71,
    0x53FA, 0x76,
    0x53FB, 0x71,
    0x53FC, 0x8B,
    0x53FD, 0x8A,
    0x53FE, 0x76,
    0x53FF, 0x7D,
    0x5400, 0x73,
    0x5401, 0x73,
    0x5402, 0x74,
    0x5403, 0x76,
    0x5404, 0x7D,
    0x5405, 0x79,
    0x5406, 0x7F,
    0x5407, 0x7D,
    0x5408, 0x70,
    0x5409, 0x73,
    0x540A, 0x72,
    0x540B, 0x76,
    0x540C, 0x8A,
    0x540D, 0x88,
    0x540E, 0x77,
    0x540F, 0x71,
    0x5410, 0x76,
    0x5411, 0x8B,
    0x5412, 0x8E,
    0x5413, 0x8F,
    0x5414, 0x77,
    0x5415, 0x76,
    0x5416, 0x76,
    0x5417, 0x88,
    0x5418, 0x8F,
    0x5419, 0x8D,
    0x541A, 0x76,
    0x541B, 0x71,
    0x541C, 0x71,
    0x541D, 0x8A,
    0x541E, 0x88,
    0x541F, 0x8E,
    0x5420, 0x75,
    0x5421, 0x77,
    0x5422, 0x77,
    0x5423, 0x8A,
    0x5424, 0x75,
    0x5425, 0x8B,
    0x5426, 0x89,
    0x5427, 0x88,
    0x5428, 0x88,
    0x5429, 0x88,
    0x542A, 0x8A,
    0x542B, 0x8B,
    0x542C, 0x8A,
    0x542D, 0x77,
    0x542E, 0x72,
    0x542F, 0x7F,
    0x5430, 0x7C,
    0x5431, 0x72,
    0x5432, 0x88,
    0x5433, 0x8B,
    0x5434, 0x74,
    0x5435, 0x70,
    0x5436, 0x71,
    0x5437, 0x71,
    0x5438, 0x8E,
    0x5439, 0x89,
    0x543A, 0x8B,
    0x543B, 0x76,
    0x543C, 0x74,
    0x543D, 0x76,
    0x543E, 0x88,
    0x543F, 0x8B,
    0x5440, 0x75,
    0x5441, 0x76,
    0x5442, 0x77,
    0x5443, 0x77,
    0x5444, 0x8A,
    0x5445, 0x74,
    0x5446, 0x75,
    0x5447, 0x77,
    0x5448, 0x75,
    0x5449, 0x75,
    0x544A, 0x8B,
    0x544B, 0x8B,
    0x544C, 0x88,
    0x544D, 0x88,
    0x544E, 0x89,
    0x544F, 0x89,
    0x5450, 0x8F,
    0x5451, 0x89,
    0x5452, 0x8B,
    0x5453, 0x8B,
    0x5454, 0x77,
    0x5455, 0x72,
    0x5456, 0x89,
    0x5457, 0x8A,
    0x5458, 0x74,
    0x5459, 0x8A,
    0x545A, 0x76,
    0x545B, 0x73,
    0x545C, 0x89,
    0x545D, 0x8A,
    0x545E, 0x74,
    0x545F, 0x75,
    0x5460, 0x71,
    0x5461, 0x73,
    0x5462, 0x8E,
    0x5463, 0x88,
    0x5464, 0x88,
    0x5465, 0x8E,
    0x5466, 0x74,
    0x5467, 0x71,
    0x5468, 0x8E,
    0x5469, 0x89,
    0x546A, 0x8E,
    0x546B, 0x8C,
    0x546C, 0x88,
    0x546D, 0x74,
    0x546E, 0x8E,
    0x546F, 0x89,
    0x5470, 0x8E,
    0x5471, 0x8C,
    0x5472, 0x88,
    0x5473, 0x74,
    0x5474, 0x7F,
    0x5475, 0x73,
    0x5476, 0x77,
    0x5477, 0x76,
    0x5478, 0x75,
    0x5479, 0x8B,
    0x547A, 0x7C,
    0x547B, 0x70,
    0x547C, 0x77,
    0x547D, 0x71,
    0x547E, 0x77,
    0x547F, 0x75,
    0x5480, 0x7D,
    0x5481, 0x70,
    0x5482, 0x74,
    0x5483, 0x71,
    0x5484, 0x77,
    0x5485, 0x75,
    0x5486, 0x71,
    0x5487, 0x75,
    0x5488, 0x8E,
    0x5489, 0x8A,
    0x548A, 0x75,
    0x548B, 0x8A,
    0x548C, 0x77,
    0x548D, 0x89,
    0x548E, 0x8D,
    0x548F, 0x89,
    0x5490, 0x8B,
    0x5491, 0x88,
    0x5492, 0x77,
    0x5493, 0x89,
    0x5494, 0x8F,
    0x5495, 0x89,
    0x5496, 0x88,
    0x5497, 0x8E,
    0x5498, 0x8E,
    0x5499, 0x89,
    0x549A, 0x8C,
    0x549B, 0x83,
    0x549C, 0x8E,
    0x549D, 0x8B,
    0x549E, 0x8E,
    0x549F, 0x88,
    0x54A0, 0x8E,
    0x54A1, 0x8D,
    0x54A2, 0x89,
    0x54A3, 0x8A,
    0x54A4, 0x8E,
    0x54A5, 0x88,
    0x54A6, 0x88,
    0x54A7, 0x8F,
    0x54A8, 0x8A,
    0x54A9, 0x76,
    0x54AA, 0x8E,
    0x54AB, 0x8B,
    0x54AC, 0x74,
    0x54AD, 0x8A,
    0x54AE, 0x77,
    0x54AF, 0x71,
    0x54B0, 0x8E,
    0x54B1, 0x8B,
    0x54B2, 0x75,
    0x54B3, 0x8A,
    0x54B4, 0x77,
    0x54B5, 0x70,
    0x54B6, 0x8F,
    0x54B7, 0x88,
    0x54B8, 0x8A,
    0x54B9, 0x8A,
    0x54BA, 0x76,
    0x54BB, 0x73,
    0x54BC, 0x8A,
    0x54BD, 0x8E,
    0x54BE, 0x8D,
    0x54BF, 0x88,
    0x54C0, 0x8B,
    0x54C1, 0x88,
    0x54C2, 0x74,
    0x54C3, 0x8E,
    0x54C4, 0x8C,
    0x54C5, 0x8B,
    0x54C6, 0x8A,
    0x54C7, 0x88,
    0x54C8, 0x76,
    0x54C9, 0x8A,
    0x54CA, 0x8F,
    0x54CB, 0x8B,
    0x54CC, 0x8A,
    0x54CD, 0x8B,
    0x54CE, 0x73,
    0x54CF, 0x76,
    0x54D0, 0x8A,
    0x54D1, 0x77,
    0x54D2, 0x8A,
    0x54D3, 0x88,
    0x54D4, 0x73,
    0x54D5, 0x77,
    0x54D6, 0x8A,
    0x54D7, 0x74,
    0x54D8, 0x8B,
    0x54D9, 0x89,
    0x54DA, 0x73,
    0x54DB, 0x76,
    0x54DC, 0x8A,
    0x54DD, 0x8A,
    0x54DE, 0x88,
    0x54DF, 0x8F,
    0x5500, 0x7E,
    0x5501, 0x7C,
    0x5502, 0x75,
    0x5503, 0x8A,
    0x5504, 0x82,
    0x5505, 0x8E,
    0x5506, 0x75,
    0x5507, 0x7E,
    0x5508, 0x71,
    0x5509, 0x8A,
    0x550A, 0x87,
    0x550B, 0x8E,
    0x550C, 0x83,
    0x550D, 0x77,
    0x550E, 0x89,
    0x550F, 0x89,
    0x5510, 0x87,
    0x5511, 0x88,
    0x5512, 0x83,
    0x5513, 0x8A,
    0x5514, 0x8E,
    0x5515, 0x8E,
    0x5516, 0x8D,
    0x5517, 0x7D,
    0x5518, 0x8D,
    0x5519, 0x75,
    0x551A, 0x8B,
    0x551B, 0x77,
    0x551C, 0x8E,
    0x551D, 0x89,
    0x551E, 0x8B,
    0x551F, 0x71,
    0x5520, 0x7D,
    0x5521, 0x7A,
    0x5522, 0x75,
    0x5523, 0x89,
    0x5524, 0x80,
    0x5525, 0x8B,
    0x5526, 0x7A,
    0x5527, 0x7A,
    0x5528, 0x66,
    0x5529, 0x7F,
    0x552A, 0x8C,
    0x552B, 0x81,
    0x552C, 0x76,
    0x552D, 0x7D,
    0x552E, 0x65,
    0x552F, 0x71,
    0x5530, 0x8A,
    0x5531, 0x8D,
    0x5532, 0x71,
    0x5533, 0x71,
    0x5534, 0x7C,
    0x5535, 0x89,
    0x5536, 0x75,
    0x5537, 0x89,
    0x5538, 0x70,
    0x5539, 0x71,
    0x553A, 0x76,
    0x553B, 0x86,
    0x553C, 0x75,
    0x553D, 0x8E,
    0x553E, 0x71,
    0x553F, 0x8A,
    0x5540, 0x74,
    0x5541, 0x75,
    0x5542, 0x89,
    0x5543, 0x8D,
    0x5544, 0x8E,
    0x5545, 0x86,
    0x5546, 0x88,
    0x5547, 0x8A,
    0x5548, 0x7E,
    0x5549, 0x8B,
    0x554A, 0x9E,
    0x554B, 0x9E,
    0x554C, 0x9E,
    0x554D, 0x80,
    0x554E, 0x7B,
    0x554F, 0x7F,
    0x5550, 0x8D,
    0x5551, 0x80,
    0x5552, 0x87,
    0x5553, 0x88,
    0x5554, 0x78,
    0x5555, 0x79,
    0x5556, 0x8B,
    0x5557, 0x88,
    0x5558, 0x89,
    0x5559, 0x70,
    0x555A, 0x79,
    0x555B, 0x7D,
    0x555C, 0x89,
    0x555D, 0x88,
    0x555E, 0x75,
    0x555F, 0x7F,
    0x5560, 0x7C,
    0x5561, 0x72,
    0x5562, 0x8E,
    0x5563, 0x75,
    0x5564, 0x75,
    0x5565, 0x74,
    0x5566, 0x7C,
    0x5567, 0x73,
    0x5568, 0x8A,
    0x5569, 0x73,
    0x556A, 0x74,
    0x556B, 0x74,
    0x556C, 0x8F,
    0x556D, 0x88,
    0x556E, 0x8B,
    0x556F, 0x89,
    0x5570, 0x76,
    0x5571, 0x8B,
    0x5572, 0x81,
    0x5573, 0x80,
    0x5574, 0x8A,
    0x5575, 0x77,
    0x5576, 0x73,
    0x5577, 0x83,
    0x5578, 0x87,
    0x5579, 0x99,
    0x557A, 0x8D,
    0x557B, 0x8C,
    0x557C, 0x8F,
    0x557D, 0x93,
    0x557E, 0x8D,
    0x557F, 0x84,
    0x5580, 0x8D,
    0x5581, 0x8C,
    0x5582, 0x8D,
    0x5583, 0x91,
    0x5584, 0x86,
    0x5585, 0x81,
    0x5586, 0x89,
    0x5587, 0x89,
    0x5588, 0x75,
    0x5589, 0x86,
    0x558A, 0x83,
    0x558B, 0x8D,
    0x558C, 0x72,
    0x558D, 0x70,
    0x558E, 0x70,
    0x558F, 0x8B,
    0x5590, 0x7F,
    0x5591, 0x79,
    0x5592, 0x7B,
    0x5593, 0x65,
    0x5594, 0x75,
    0x5595, 0x88,
    0x5596, 0x7E,
    0x5597, 0x7B,
    0x5598, 0x7D,
    0x5599, 0x76,
    0x559A, 0x83,
    0x559B, 0x8A,
    0x559C, 0x72,
    0x559D, 0x7A,
    0x559E, 0x72,
    0x559F, 0x70,
    0x55A0, 0x8E,
    0x55A1, 0x7F,
    0x55A2, 0x74,
    0x55A3, 0x7C,
    0x55A4, 0x73,
    0x55A5, 0x71,
    0x55A6, 0x8A,
    0x55A7, 0x79,
    0x55A8, 0x72,
    0x55A9, 0x72,
    0x55AA, 0x76,
    0x55AB, 0x71,
    0x55AC, 0x8C,
    0x55AD, 0x74,
    0x55AE, 0x71,
    0x55AF, 0x76,
    0x55B0, 0x8C,
    0x55B1, 0x8F,
    0x55B2, 0x86,
    0x55B3, 0x83,
    0x55B4, 0x83,
    0x55B5, 0x85,
    0x55B6, 0x98,
    0x55B7, 0x98,
    0x55B8, 0x74,
    0x55B9, 0x79,
    0x55BA, 0x8C,
    0x55BB, 0x80,
    0x55BC, 0x80,
    0x55BD, 0x8F,
    0x55BE, 0x7B,
    0x55BF, 0x65,
    0x55C0, 0x75,
    0x55C1, 0x8F,
    0x55C2, 0x88,
    0x55C3, 0x8A,
    0x55C4, 0x7B,
    0x55C5, 0x78,
    0x55C6, 0x71,
    0x55C7, 0x8A,
    0x55C8, 0x88,
    0x55C9, 0x8A,
    0x55CA, 0x7E,
    0x55CB, 0x7F,
    0x55CC, 0x8A,
    0x55CD, 0x8B,
    0x55CE, 0x8B,
    0x55CF, 0x88,
    0x55D0, 0x78,
    0x55D1, 0x7B,
    0x55D2, 0x74,
    0x55D3, 0x8A,
    0x55D4, 0x76,
    0x55D5, 0x74,
    0x55D6, 0x7B,
    0x55D7, 0x67,
    0x55D8, 0x75,
    0x55D9, 0x8A,
    0x55DA, 0x71,
    0x55DB, 0x65,
    0x55DC, 0x74,
    0x55DD, 0x89,
    0x55DE, 0x8F,
    0x55DF, 0x75,
    0x55E0, 0x88,
    0x55E1, 0x76,
    0x55E2, 0x89,
    0x55E3, 0x88,
    0x55E4, 0x83,
    0x55E5, 0x8A,
    0x55E6, 0x8B,
    0x55E7, 0x8B,
    0x55E8, 0x8F,
    0x55E9, 0x7C,
    0x55EA, 0x81,
    0x55EB, 0x75,
    0x55EC, 0x8E,
    0x55ED, 0x88,
    0x55EE, 0x83,
    0x55EF, 0x76,
    0x55F0, 0x8F,
    0x55F1, 0x72,
    0x55F2, 0x71,
    0x55F3, 0x8B,
    0x55F4, 0x9A,
    0x55F5, 0x8F,
    0x55F6, 0x71,
    0x55F7, 0x70,
    0x55F8, 0x75,
    0x55F9, 0x88,
    0x55FA, 0x86,
    0x55FB, 0x82,
    0x55FC, 0x8C,
    0x55FD, 0x88,
    0x55FE, 0x8B,
    0x55FF, 0x84,
    0x5600, 0x89,
    0x5601, 0x75,
    0x5602, 0x8A,
    0x5603, 0x88,
    0x5604, 0x70,
    0x5605, 0x8A,
    0x5606, 0x75,
    0x5607, 0x8B,
    0x5608, 0x74,
    0x5609, 0x8E,
    0x560A, 0x76,
    0x560B, 0x77,
    0x560C, 0x77,
    0x560D, 0x87,
    0x560E, 0x74,
    0x560F, 0x8D,
    0x5610, 0x71,
    0x5611, 0x77,
    0x5612, 0x71,
    0x5613, 0x83,
    0x5614, 0x8B,
    0x5615, 0x83,
    0x5616, 0x74,
    0x5617, 0x7D,
    0x5618, 0x64,
    0x5619, 0x71,
    0x561A, 0x8F,
    0x561B, 0x75,
    0x561C, 0x7E,
    0x561D, 0x7B,
    0x561E, 0x66,
    0x561F, 0x7E,
    0x5620, 0x7E,
    0x5621, 0x76,
    0x5622, 0x88,
    0x5623, 0x73,
    0x5624, 0x74,
    0x5625, 0x75,
    0x5626, 0x7C,
    0x5627, 0x73,
    0x5628, 0x8F,
    0x5629, 0x8A,
    0x562A, 0x75,
    0x562B, 0x77,
    0x562C, 0x7E,
    0x562D, 0x7C,
    0x562E, 0x88,
    0x562F, 0x8B,
    0x5630, 0x74,
    0x5631, 0x7E,
    0x5632, 0x78,
    0x5633, 0x79,
    0x5634, 0x8A,
    0x5635, 0x75,
    0x5636, 0x75,
    0x5637, 0x7C,
    0x5638, 0x78,
    0x5639, 0x7F,
    0x563A, 0x8F,
    0x563B, 0x83,
    0x563C, 0x86,
    0x563D, 0x8B,
    0x563E, 0x7C,
    0x563F, 0x8B,
    0x5640, 0x85,
    0x5641, 0x9B,
    0x5642, 0x98,
    0x5643, 0x82,
    0x5644, 0x86,
    0x5645, 0x8F,
    0x5646, 0x73,
    0x5647, 0x77,
    0x5648, 0x74,
    0x5649, 0x88,
    0x564A, 0x81,
    0x564B, 0x86,
    0x564C, 0x89,
    0x564D, 0x8F,
    0x564E, 0x8B,
    0x564F, 0x84,
    0x5650, 0x8F,
    0x5651, 0x87,
    0x5652, 0x8C,
    0x5653, 0x8E,
    0x5654, 0x8D,
    0x5655, 0x93,
    0x5656, 0x84,
    0x5657, 0x98,
    0x5658, 0x8F,
    0x5659, 0x8F,
    0x565A, 0x8C,
    0x565B, 0x94,
    0x565C, 0x83,
    0x565D, 0x81,
    0x565E, 0x8A,
    0x565F, 0x71,
    0x5660, 0x77,
    0x5661, 0x84,
    0x5662, 0x82,
    0x5663, 0x8F,
    0x5664, 0x8A,
    0x5665, 0x88,
    0x5666, 0x8B,
    0x5667, 0x8F,
    0x5668, 0x72,
    0x5669, 0x77,
    0x566A, 0x8F,
    0x566B, 0x8A,
    0x566C, 0x8D,
    0x566D, 0x8C,
    0x566E, 0x73,
    0x566F, 0x7D,
    0x5670, 0x71,
    0x5671, 0x72,
    0x5672, 0x8E,
    0x5673, 0x77,
    0x5674, 0x8A,
    0x5675, 0x7C,
    0x5676, 0x70,
    0x5677, 0x71,
    0x5678, 0x8A,
    0x5679, 0x7F,
    0x567A, 0x72,
    0x567B, 0x79,
    0x567C, 0x71,
    0x567D, 0x71,
    0x567E, 0x88,
    0x567F, 0x7B,
    0x5680, 0x72,
    0x5681, 0x78,
    0x5682, 0x70,
    0x5683, 0x8A,
    0x5684, 0x8D,
    0x5685, 0x76,
    0x5686, 0x79,
    0x5687, 0x78,
    0x5688, 0x7E,
    0x5689, 0x7E,
    0x568A, 0x74,
    0x568B, 0x75,
    0x568C, 0x8A,
    0x568D, 0x8A,
    0x568E, 0x74,
    0x568F, 0x8B,
    0x5690, 0x7E,
    0x5691, 0x65,
    0x5692, 0x8A,
    0x5693, 0x88,
    0x5694, 0x88,
    0x5695, 0x8E,
    0x5696, 0x79,
    0x5697, 0x7B,
    0x5698, 0x70,
    0x5699, 0x75,
    0x569A, 0x8B,
    0x569B, 0x8A,
    0x569C, 0x7E,
    0x569D, 0x79,
    0x569E, 0x74,
    0x569F, 0x88,
    0x56A0, 0x8A,
    0x56A1, 0x74,
    0x56A2, 0x7B,
    0x56A3, 0x7E,
    0x56A4, 0x8B,
    0x56A5, 0x82,
    0x56A6, 0x8D,
    0x56A7, 0x88,
    0x56A8, 0x7B,
    0x56A9, 0x7A,
    0x56AA, 0x83,
    0x56AB, 0x84,
    0x56AC, 0x9A,
    0x56AD, 0x84,
    0x56AE, 0x76,
    0x56AF, 0x7E,
    0x56B0, 0x7C,
    0x56B1, 0x76,
    0x56B2, 0x8F,
    0x56B3, 0x82,
    0x56B4, 0x88,
    0x56B5, 0x74,
    0x56B6, 0x73,
    0x56B7, 0x7D,
    0x56B8, 0x70,
    0x56B9, 0x8B,
    0x56BA, 0x8E,
    0x56BB, 0x73,
    0x56BC, 0x74,
    0x56BD, 0x70,
    0x56BE, 0x8B,
    0x56BF, 0x89,
    0x56C0, 0x75,
    0x56C1, 0x7B,
    0x56C2, 0x70,
    0x56C3, 0x72,
    0x56C4, 0x73,
    0x56C5, 0x76,
    0x56C6, 0x7D,
    0x56C7, 0x6D,
    0x56C8, 0x76,
    0x56C9, 0x8B,
    0x56CA, 0x82,
    0x56CB, 0x8C,
    0x56CC, 0x75,
    0x56CD, 0x78,
    0x56CE, 0x89,
    0x56CF, 0x8E,
    0x56D0, 0x83,
    0x56D1, 0x8D,
    0x56D2, 0x8A,
    0x56D3, 0x8A,
    0x56D4, 0x8E,
    0x56D5, 0x8E,
    0x56D6, 0x8E,
    0x56D7, 0x8B,
    0x56D8, 0x8F,
    0x56D9, 0x82,
    0x56DA, 0x77,
    0x56DB, 0x8F,
    0x56DC, 0x80,
    0x56DD, 0x8E,
    0x56DE, 0x8A,
    0x56DF, 0x82,
    0x56E0, 0x78,
    0x56E1, 0x76,
    0x56E2, 0x74,
    0x56E3, 0x74,
    0x56E4, 0x74,
    0x56E5, 0x81,
    0x56E6, 0x7E,
    0x56E7, 0x76,
    0x56E8, 0x8E,
    0x56E9, 0x88,
    0x56EA, 0x8C,
    0x56EB, 0x99,
    0x56EC, 0x7E,
    0x56ED, 0x7F,
    0x56EE, 0x73,
    0x56EF, 0x71,
    0x56F0, 0x8A,
    0x56F1, 0x86,
    0x56F2, 0x7A,
    0x56F3, 0x7F,
    0x56F4, 0x73,
    0x56F5, 0x76,
    0x56F6, 0x8B,
    0x56F7, 0x75,
    0x56F8, 0x77,
    0x56F9, 0x7F,
    0x56FA, 0x65,
    0x56FB, 0x65,
    0x56FC, 0x65,
    0x56FD, 0x78,
    0x56FE, 0x8C,
    0x56FF, 0x76,
    0x5700, 0x7A,
    0x5701, 0x79,
    0x5702, 0x73,
    0x5703, 0x70,
    0x5704, 0x98,
    0x5705, 0x82,
    0x5706, 0x75,
    0x5707, 0x77,
    0x5708, 0x8B,
    0x5709, 0x77,
    0x570A, 0x99,
    0x570B, 0x81,
    0x570C, 0x74,
    0x570D, 0x77,
    0x570E, 0x77,
    0x570F, 0x73,
    0x5710, 0x99,
    0x5711, 0x85,
    0x5712, 0x8E,
    0x5713, 0x8A,
    0x5714, 0x8A,
    0x5715, 0x77,
    0x5716, 0x9E,
    0x5717, 0x86,
    0x5718, 0x8B,
    0x5719, 0x74,
    0x571A, 0x8A,
    0x571B, 0x89,
    0x571C, 0x71,
    0x571D, 0x77,
    0x571E, 0x89,
    0x571F, 0x88,
    0x5720, 0x72,
    0x5721, 0x7C,
    0x5722, 0x7C,
    0x5723, 0x76,
    0x5724, 0x73,
    0x5725, 0x7E,
    0x5726, 0x7B,
    0x5727, 0x70,
    0x5728, 0x7B,
    0x5729, 0x72,
    0x572A, 0x73,
    0x572B, 0x70,
    0x572C, 0x7C,
    0x572D, 0x75,
    0x572E, 0x62,
    0x572F, 0x64,
    0x5730, 0x78,
    0x5731, 0x79,
    0x5732, 0x79,
    0x5733, 0x77,
    0x5734, 0x66,
    0x5735, 0x7C,
    0x5736, 0x74,
    0x5737, 0x8B,
    0x5738, 0x7D,
    0x5739, 0x72,
    0x573A, 0x72,
    0x573B, 0x70,
    0x573C, 0x8B,
    0x573D, 0x88,
    0x573E, 0x70,
    0x573F, 0x73,
    0x5740, 0x83,
    0x5741, 0x83,
    0x5742, 0x8F,
    0x5743, 0x8C,
    0x5744, 0x8F,
    0x5745, 0x8A,
    0x5746, 0x81,
    0x5747, 0x8C,
    0x5748, 0x80,
    0x5749, 0x84,
    0x574A, 0x8D,
    0x574B, 0x72,
    0x574C, 0x86,
    0x574D, 0x8E,
    0x574E, 0x8F,
    0x574F, 0x88,
    0x5750, 0x77,
    0x5751, 0x64,
    0x5752, 0x99,
    0x5753, 0x86,
    0x5754, 0x80,
    0x5755, 0x8D,
    0x5756, 0x77,
    0x5757, 0x64,
    0x5758, 0x9B,
    0x5759, 0x82,
    0x575A, 0x8B,
    0x575B, 0x77,
    0x575C, 0x70,
    0x575D, 0x7E,
    0x575E, 0x8D,
    0x575F, 0x8D,
    0x5760, 0x8B,
    0x5761, 0x74,
    0x5762, 0x70,
    0x5763, 0x7F,
    0x5764, 0x78,
    0x5765, 0x64,
    0x5766, 0x65,
    0x5767, 0x7A,
    0x5768, 0x72,
    0x5769, 0x88,
    0x576A, 0x7D,
    0x576B, 0x7F,
    0x576C, 0x7B,
    0x576D, 0x7A,
    0x576E, 0x77,
    0x576F, 0x81,
    0x5770, 0x71,
    0x5771, 0x77,
    0x5772, 0x70,
    0x5773, 0x74,
    0x5774, 0x80,
    0x5775, 0x9C,
    0x5776, 0x7D,
    0x5777, 0x73,
    0x5778, 0x73,
    0x5779, 0x74,
    0x577A, 0x87,
    0x577B, 0x93,
    0x577C, 0x72,
    0x577D, 0x71,
    0x577E, 0x76,
    0x577F, 0x89,
    0x5780, 0x85,
    0x5781, 0x9D,
    0x5782, 0x76,
    0x5783, 0x70,
    0x5784, 0x70,
    0x5785, 0x8A,
    0x5786, 0x87,
    0x5787, 0x9F,
    0x5788, 0x89,
    0x5789, 0x8F,
    0x578A, 0x8B,
    0x578B, 0x8B,
    0x578C, 0x88,
    0x578D, 0x8A,
    0x578E, 0x70,
    0x578F, 0x88,
    0x5790, 0x8C,
    0x5791, 0x8C,
    0x5792, 0x74,
    0x5793, 0x78,
    0x5794, 0x73,
    0x5795, 0x72,
    0x5796, 0x73,
    0x5797, 0x76,
    0x5798, 0x7F,
    0x5799, 0x6D,
    0x579A, 0x76,
    0x579B, 0x71,
    0x579C, 0x8A,
    0x579D, 0x8B,
    0x579E, 0x71,
    0x579F, 0x61,
    0x57A0, 0x74,
    0x57A1, 0x72,
    0x57A2, 0x70,
    0x57A3, 0x8B,
    0x57A4, 0x88,
    0x57A5, 0x79,
    0x57A6, 0x70,
    0x57A7, 0x77,
    0x57A8, 0x8B,
    0x57A9, 0x8E,
    0x57AA, 0x88,
    0x57AB, 0x76,
    0x57AC, 0x65,
    0x57AD, 0x7F,
    0x57AE, 0x88,
    0x57AF, 0x88,
    0x57B0, 0x75,
    0x57B1, 0x75,
    0x57B2, 0x7F,
    0x57B3, 0x7F,
    0x57B4, 0x70,
    0x57B5, 0x76,
    0x57B6, 0x8A,
    0x57B7, 0x81,
    0x57B8, 0x7F,
    0x57B9, 0x77,
    0x57BA, 0x89,
    0x57BB, 0x88,
    0x57BC, 0x8D,
    0x57BD, 0x99,
    0x57BE, 0x79,
    0x57BF, 0x71,
    0x57C0, 0x77,
    0x57C1, 0x74,
    0x57C2, 0x8B,
    0x57C3, 0x9A,
    0x57C4, 0x7C,
    0x57C5, 0x88,
    0x57C6, 0x82,
    0x57C7, 0x8B,
    0x57C8, 0x75,
    0x57C9, 0x86,
    0x57CA, 0x74,
    0x57CB, 0x8B,
    0x57CC, 0x8F,
    0x57CD, 0x88,
    0x57CE, 0x8B,
    0x57CF, 0x8F,
    0x57D0, 0x9C,
    0x57D1, 0x86,
    0x57D2, 0x76,
    0x57D3, 0x71,
    0x57D4, 0x8A,
    0x57D5, 0x89,
    0x57D6, 0x98,
    0x57D7, 0x85,
    0x57D8, 0x89,
    0x57D9, 0x8A,
    0x57DA, 0x8A,
    0x57DB, 0x77,
    0x57DC, 0x99,
    0x57DD, 0x80,
    0x57DE, 0x74,
    0x57DF, 0x77,
    0x57E0, 0x76,
    0x57E1, 0x73,
    0x57E2, 0x98,
    0x57E3, 0x83,
    0x57E4, 0x8A,
    0x57E5, 0x75,
    0x57E6, 0x8A,
    0x57E7, 0x71,
    0x57E8, 0x86,
    0x57E9, 0x75,
    0x57EA, 0x7E,
    0x57EB, 0x7D,
    0x57EC, 0x76,
    0x57ED, 0x73,
    0x57EE, 0x88,
    0x57EF, 0x70,
    0x57F0, 0x7B,
    0x57F1, 0x79,
    0x57F2, 0x7F,
    0x57F3, 0x7D,
    0x57F4, 0x8A,
    0x57F5, 0x77,
    0x57F6, 0x71,
    0x57F7, 0x74,
    0x57F8, 0x71,
    0x57F9, 0x70,
    0x57FA, 0x7F,
    0x57FB, 0x71,
    0x57FC, 0x75,
    0x57FD, 0x75,
    0x57FE, 0x71,
    0x57FF, 0x7C,
    0x5800, 0x66,
    0x5801, 0x7B,
    0x5802, 0x79,
    0x5803, 0x7B,
    0x5804, 0x7B,
    0x5805, 0x72,
    0x5806, 0x7B,
    0x5807, 0x72,
    0x5808, 0x72,
    0x5809, 0x72,
    0x580A, 0x7C,
    0x580B, 0x74,
    0x580C, 0x7B,
    0x580D, 0x71,
    0x580E, 0x70,
    0x580F, 0x79,
    0x5810, 0x7A,
    0x5811, 0x72,
    0x5812, 0x7C,
    0x5813, 0x77,
    0x5814, 0x8A,
    0x5815, 0x74,
    0x5816, 0x7C,
    0x5817, 0x78,
    0x5818, 0x8A,
    0x5819, 0x8E,
    0x581A, 0x8D,
    0x581B, 0x88,
    0x581C, 0x70,
    0x581D, 0x7E,
    0x581E, 0x82,
    0x581F, 0x89,
    0x5820, 0x8B,
    0x5821, 0x74,
    0x5822, 0x7C,
    0x5823, 0x7F,
    0x5824, 0x9A,
    0x5825, 0x80,
    0x5826, 0x83,
    0x5827, 0x83,
    0x5828, 0x75,
    0x5829, 0x7B,
    0x582A, 0x81,
    0x582B, 0x88,
    0x582C, 0x8F,
    0x582D, 0x89,
    0x582E, 0x76,
    0x582F, 0x64,
    0x5830, 0x84,
    0x5831, 0x8E,
    0x5832, 0x8D,
    0x5833, 0x87,
    0x5834, 0x8D,
    0x5835, 0x72,
    0x5836, 0x86,
    0x5837, 0x8C,
    0x5838, 0x8C,
    0x5839, 0x8C,
    0x583A, 0x8E,
    0x583B, 0x89,
    0x583C, 0x8B,
    0x583D, 0x77,
    0x583E, 0x72,
    0x583F, 0x74,
    0x5840, 0x87,
    0x5841, 0x9C,
    0x5842, 0x77,
    0x5843, 0x74,
    0x5844, 0x77,
    0x5845, 0x88,
    0x5846, 0x98,
    0x5847, 0x9C,
    0x5848, 0x73,
    0x5849, 0x71,
    0x584A, 0x70,
    0x584B, 0x74,
    0x584C, 0x86,
    0x584D, 0x92,
    0x584E, 0x77,
    0x584F, 0x75,
    0x5850, 0x76,
    0x5851, 0x74,
    0x5852, 0x81,
    0x5853, 0x9D,
    0x5854, 0x7D,
    0x5855, 0x72,
    0x5856, 0x7E,
    0x5857, 0x79,
    0x5858, 0x75,
    0x5859, 0x86,
    0x585A, 0x79,
    0x585B, 0x78,
    0x585C, 0x7B,
    0x585D, 0x78,
    0x585E, 0x71,
    0x585F, 0x8B,
    0x5860, 0x00,
    0x5880, 0x81,
    0x5881, 0x10,
    0x5882, 0x10,
    0x5883, 0x10,
    0x5884, 0x10,
    0x5885, 0x10,
    0x5886, 0x10,
    0x5887, 0x10,
    0x588A, 0x00,
    0x58CB, 0x03,
    0x5900, 0x40,
    0x5901, 0x40,
    0x5902, 0x40,
    0x5903, 0x40,
    0x5904, 0x40,
    0x5905, 0x40,
    0x5906, 0x40,
    0x5907, 0x40,
    0x5908, 0x40,
    0x5909, 0x40,
    0x590A, 0x40,
    0x590B, 0x40,
    0x590C, 0x40,
    0x590D, 0x40,
    0x590E, 0x40,
    0x590F, 0x40,
    0x5910, 0x40,
    0x5911, 0x40,
    0x5912, 0x40,
    0x5913, 0x40,
    0x5914, 0x40,
    0x5915, 0x40,
    0x5916, 0x40,
    0x5917, 0x40,
    0x5918, 0x40,
    0x5919, 0x40,
    0x591A, 0x40,
    0x591B, 0x40,
    0x591C, 0x40,
    0x591D, 0x40,
    0x591E, 0x40,
    0x591F, 0x40,
    0x5920, 0x40,
    0x5921, 0x40,
    0x5922, 0x40,
    0x5923, 0x40,
    0x5924, 0x40,
    0x5925, 0x40,
    0x5926, 0x40,
    0x5927, 0x40,
    0x5928, 0x40,
    0x5929, 0x40,
    0x592A, 0x40,
    0x592B, 0x40,
    0x592C, 0x40,
    0x592D, 0x40,
    0x592E, 0x40,
    0x592F, 0x40,
    0x5930, 0x40,
    0x5931, 0x40,
    0x5932, 0x40,
    0x5933, 0x40,
    0x5934, 0x40,
    0x5935, 0x40,
    0x5936, 0x40,
    0x5937, 0x40,
    0x5938, 0x40,
    0x5939, 0x40,
    0x593A, 0x40,
    0x593B, 0x40,
    0x593C, 0x40,
    0x593D, 0x40,
    0x593E, 0x40,
    0x593F, 0x40,
    0x5940, 0x40,
    0x5941, 0x40,
    0x5942, 0x40,
    0x5943, 0x40,
    0x5944, 0x40,
    0x5945, 0x40,
    0x5946, 0x40,
    0x5947, 0x40,
    0x5948, 0x40,
    0x5949, 0x40,
    0x594A, 0x40,
    0x594B, 0x40,
    0x594C, 0x40,
    0x594D, 0x40,
    0x594E, 0x40,
    0x594F, 0x40,
    0x5950, 0x40,
    0x5951, 0x40,
    0x5952, 0x40,
    0x5953, 0x40,
    0x5954, 0x40,
    0x5955, 0x40,
    0x5956, 0x40,
    0x5957, 0x40,
    0x5958, 0x40,
    0x5959, 0x40,
    0x595A, 0x40,
    0x595B, 0x40,
    0x595C, 0x40,
    0x595D, 0x40,
    0x595E, 0x40,
    0x595F, 0x40,
    0x5960, 0x40,
    0x5961, 0x40,
    0x5962, 0x40,
    0x5963, 0x40,
    0x5964, 0x40,
    0x5965, 0x40,
    0x5966, 0x40,
    0x5967, 0x40,
    0x5968, 0x40,
    0x5969, 0x40,
    0x596A, 0x40,
    0x596B, 0x40,
    0x596C, 0x40,
    0x596D, 0x40,
    0x596E, 0x40,
    0x596F, 0x40,
    0x5970, 0x40,
    0x5971, 0x40,
    0x5972, 0x40,
    0x5973, 0x40,
    0x5974, 0x40,
    0x5975, 0x40,
    0x5976, 0x40,
    0x5977, 0x40,
    0x5978, 0x40,
    0x5979, 0x40,
    0x597A, 0x40,
    0x597B, 0x40,
    0x597C, 0x40,
    0x597D, 0x40,
    0x597E, 0x40,
    0x597F, 0x40,
    0x5980, 0x40,
    0x5981, 0x40,
    0x5982, 0x40,
    0x5983, 0x40,
    0x5984, 0x40,
    0x5985, 0x40,
    0x5986, 0x40,
    0x5987, 0x40,
    0x5988, 0x40,
    0x5989, 0x40,
    0x598A, 0x40,
    0x598B, 0x40,
    0x598C, 0x40,
    0x598D, 0x40,
    0x598E, 0x40,
    0x598F, 0x40,
    0x5990, 0x40,
    0x5991, 0x40,
    0x5992, 0x40,
    0x5993, 0x40,
    0x5994, 0x40,
    0x5995, 0x40,
    0x5996, 0x40,
    0x5997, 0x40,
    0x5998, 0x40,
    0x5999, 0x40,
    0x599A, 0x40,
    0x599B, 0x40,
    0x599C, 0x40,
    0x599D, 0x40,
    0x599E, 0x40,
    0x599F, 0x40,
    0x59A0, 0x40,
    0x59A1, 0x40,
    0x59A2, 0x40,
    0x59A3, 0x40,
    0x59A4, 0x40,
    0x59A5, 0x40,
    0x59A6, 0x40,
    0x59A7, 0x40,
    0x59A8, 0x40,
    0x59A9, 0x40,
    0x59AA, 0x40,
    0x59AB, 0x40,
    0x59AC, 0x40,
    0x59AD, 0x40,
    0x59AE, 0x40,
    0x59AF, 0x40,
    0x59B0, 0x40,
    0x59B1, 0x40,
    0x59B2, 0x40,
    0x59B3, 0x40,
    0x59B4, 0xCD,
    0x59B5, 0xCD,
    0x59B6, 0xCD,
    0x59B7, 0xCD,
    0x59B8, 0xCD,
    0x59B9, 0xCD,
    0x59BA, 0xCD,
    0x59BB, 0xCD,
    0x59BC, 0xCD,
    0x59BD, 0xCD,
    0x59BE, 0xCD,
    0x59BF, 0xCD,
    0x59C0, 0xCD,
    0x59C1, 0xCD,
    0x59C2, 0xCD,
    0x59C3, 0xCD,
    0x59C4, 0xCD,
    0x59C5, 0xCD,
    0x59C6, 0xCD,
    0x59C7, 0xCD,
    0x59C8, 0xCD,
    0x59C9, 0xCD,
    0x59CA, 0xCD,
    0x59CB, 0xCD,
    0x59CC, 0xCD,
    0x59CD, 0xCD,
    0x59CE, 0xCD,
    0x59CF, 0xCD,
    0x59D0, 0xCD,
    0x59D1, 0xCD,
    0x59D2, 0xCD,
    0x59D3, 0xCD,
    0x59D4, 0xCD,
    0x59D5, 0xCD,
    0x59D6, 0xCD,
    0x59D7, 0xCD,
    0x59D8, 0xCD,
    0x59D9, 0xCD,
    0x59DA, 0xCD,
    0x59DB, 0xCD,
    0x59DC, 0xCD,
    0x59DD, 0xCD,
    0x59DE, 0xCD,
    0x59DF, 0xCD,
    0x59E0, 0xCD,
    0x59E1, 0xCD,
    0x59E2, 0xCD,
    0x59E3, 0xCD,
    0x59E4, 0xCD,
    0x59E5, 0xCD,
    0x59E6, 0xCD,
    0x59E7, 0xCD,
    0x59E8, 0xCD,
    0x59E9, 0xCD,
    0x59EA, 0xCD,
    0x59EB, 0xCD,
    0x59EC, 0xCD,
    0x59ED, 0xCD,
    0x59EE, 0xCD,
    0x59EF, 0xCD,
    0x59F0, 0xCD,
    0x59F1, 0xCD,
    0x59F2, 0xCD,
    0x59F3, 0xCD,
    0x59F4, 0xCD,
    0x59F5, 0xCD,
    0x59F6, 0xCD,
    0x59F7, 0xCD,
    0x59F8, 0xCD,
    0x59F9, 0xCD,
    0x59FA, 0xCD,
    0x59FB, 0xCD,
    0x59FC, 0xCD,
    0x59FD, 0xCD,
    0x59FE, 0xCD,
    0x59FF, 0xCD,
    0x5A00, 0xCD,
    0x5A01, 0xCD,
    0x5A02, 0xCD,
    0x5A03, 0xCD,
    0x5A04, 0xCD,
    0x5A05, 0xCD,
    0x5A06, 0xCD,
    0x5A07, 0xCD,
    0x5A08, 0xCD,
    0x5A09, 0xCD,
    0x5A0A, 0xCD,
    0x5A0B, 0xCD,
    0x5A0C, 0xCD,
    0x5A0D, 0xCD,
    0x5A0E, 0xCD,
    0x5A0F, 0xCD,
    0x5A10, 0xCD,
    0x5A11, 0xCD,
    0x5A12, 0xCD,
    0x5A13, 0xCD,
    0x5A14, 0xCD,
    0x5A15, 0xCD,
    0x5A16, 0xCD,
    0x5A17, 0xCD,
    0x5A18, 0xCD,
    0x5A19, 0xCD,
    0x5A1A, 0xCD,
    0x5A1B, 0xCD,
    0x5A1C, 0xCD,
    0x5A1D, 0xCD,
    0x5A1E, 0xCD,
    0x5A1F, 0xCD,
    0x5A20, 0xCD,
    0x5A21, 0xCD,
    0x5A22, 0xCD,
    0x5A23, 0xCD,
    0x5A24, 0xCD,
    0x5A25, 0xCD,
    0x5A26, 0xCD,
    0x5A27, 0xCD,
    0x5A28, 0xCD,
    0x5A29, 0xCD,
    0x5A2A, 0xCD,
    0x5A2B, 0xCD,
    0x5A2C, 0xCD,
    0x5A2D, 0xCD,
    0x5A2E, 0xCD,
    0x5A2F, 0xCD,
    0x5A30, 0xCD,
    0x5A31, 0xCD,
    0x5A32, 0xCD,
    0x5A33, 0xCD,
    0x5A34, 0xCD,
    0x5A35, 0xCD,
    0x5A36, 0xCD,
    0x5A37, 0xCD,
    0x5A38, 0xCD,
    0x5A39, 0xCD,
    0x5A3A, 0xCD,
    0x5A3B, 0xCD,
    0x5A3C, 0xCD,
    0x5A3D, 0xCD,
    0x5A3E, 0xCD,
    0x5A3F, 0xCD,
    0x5A40, 0xCD,
    0x5A41, 0xCD,
    0x5A42, 0xCD,
    0x5A43, 0xCD,
    0x5A44, 0xCD,
    0x5A45, 0xCD,
    0x5A46, 0xCD,
    0x5A47, 0xCD,
    0x5A48, 0xCD,
    0x5A49, 0xCD,
    0x5A4A, 0xCD,
    0x5A4B, 0xCD,
    0x5A4C, 0xCD,
    0x5A4D, 0xCD,
    0x5A4E, 0xCD,
    0x5A4F, 0xCD,
    0x5A50, 0xCD,
    0x5A51, 0xCD,
    0x5A52, 0xCD,
    0x5A53, 0xCD,
    0x5A54, 0xCD,
    0x5A55, 0xCD,
    0x5A56, 0xCD,
    0x5A57, 0xCD,
    0x5A58, 0xCD,
    0x5A59, 0xCD,
    0x5A5A, 0xCD,
    0x5A5B, 0xCD,
    0x5A5C, 0xCD,
    0x5A5D, 0xCD,
    0x5A5E, 0xCD,
    0x5A5F, 0xCD,
    0x5A60, 0xCD,
    0x5A61, 0xCD,
    0x5A62, 0xCD,
    0x5A63, 0xCD,
    0x5A64, 0xCD,
    0x5A65, 0xCD,
    0x5A66, 0xCD,
    0x5A67, 0xCD,
    0x5A68, 0xCD,
    0x5A69, 0xCD,
    0x5A6A, 0xCD,
    0x5A6B, 0xCD,
    0x5A6C, 0xCD,
    0x5A6D, 0xCD,
    0x5A6E, 0xCD,
    0x5A6F, 0xCD,
    0x5A70, 0xCD,
    0x5A71, 0xCD,
    0x5A72, 0xCD,
    0x5A73, 0xCD,
    0x5A74, 0xCD,
    0x5A75, 0xCD,
    0x5A76, 0xCD,
    0x5A77, 0xCD,
    0x5A78, 0xCD,
    0x5A79, 0xCD,
    0x5A7A, 0xCD,
    0x5A7B, 0xCD,
    0x5A7C, 0xCD,
    0x5A7D, 0xCD,
    0x5A7E, 0xCD,
    0x5A7F, 0xCD,
    0x5A80, 0xCD,
    0x5A81, 0xCD,
    0x5A82, 0xCD,
    0x5A83, 0xCD,
    0x5A84, 0xCD,
    0x5A85, 0xCD,
    0x5A86, 0xCD,
    0x5A87, 0xCD,
    0x5A88, 0xCD,
    0x5A89, 0xCD,
    0x5A8A, 0xCD,
    0x5A8B, 0xCD,
    0x5A8C, 0xCD,
    0x5A8D, 0xCD,
    0x5A8E, 0xCD,
    0x5A8F, 0xCD,
    0x5A90, 0xCD,
    0x5A91, 0xCD,
    0x5A92, 0xCD,
    0x5A93, 0xCD,
    0x5A94, 0xCD,
    0x5A95, 0xCD,
    0x5A96, 0xCD,
    0x5A97, 0xCD,
    0x5A98, 0xCD,
    0x5A99, 0xCD,
    0x5A9A, 0xCD,
    0x5A9B, 0xCD,
    0x5A9C, 0xCD,
    0x5A9D, 0xCD,
    0x5A9E, 0xCD,
    0x5A9F, 0xCD,
    0x5AA0, 0xCD,
    0x5AA1, 0xCD,
    0x5AA2, 0xCD,
    0x5AA3, 0xCD,
    0x5AA4, 0xCD,
    0x5AA5, 0xCD,
    0x5AA6, 0xCD,
    0x5AA7, 0xCD,
    0x5AA8, 0xCD,
    0x5AA9, 0xCD,
    0x5AAA, 0xCD,
    0x5AAB, 0xCD,
    0x5AAC, 0xCD,
    0x5AAD, 0xCD,
    0x5AAE, 0xCD,
    0x5AAF, 0xCD,
    0x5AB0, 0xCD,
    0x5AB1, 0xCD,
    0x5AB2, 0xCD,
    0x5AB3, 0xCD,
    0x5AB4, 0xCD,
    0x5AB5, 0xCD,
    0x5AB6, 0xCD,
    0x5AB7, 0xCD,
    0x5AB8, 0xCD,
    0x5AB9, 0xCD,
    0x5ABA, 0xCD,
    0x5ABB, 0xCD,
    0x5ABC, 0xCD,
    0x5ABD, 0xCD,
    0x5ABE, 0xCD,
    0x5ABF, 0xCD,
    0x5AC0, 0xCD,
    0x5AC1, 0xCD,
    0x5AC2, 0xCD,
    0x5AC3, 0xCD,
    0x5AC4, 0xCD,
    0x5AC5, 0xCD,
    0x5AC6, 0xCD,
    0x5AC7, 0xCD,
    0x5AC8, 0xCD,
    0x5AC9, 0xCD,
    0x5ACA, 0xCD,
    0x5ACB, 0xCD,
    0x5ACC, 0xCD,
    0x5ACD, 0xCD,
    0x5ACE, 0xCD,
    0x5ACF, 0xCD,
    0x5AD0, 0xCD,
    0x5AD1, 0xCD,
    0x5AD2, 0xCD,
    0x5AD3, 0xCD,
    0x5AD4, 0xCD,
    0x5AD5, 0xCD,
    0x5AD6, 0xCD,
    0x5AD7, 0xCD,
    0x5AD8, 0xCD,
    0x5AD9, 0xCD,
    0x5ADA, 0xCD,
    0x5ADB, 0xCD,
    0x5ADC, 0xCD,
    0x5ADD, 0xCD,
    0x5ADE, 0xCD,
    0x5ADF, 0xCD,
    0x5AE0, 0xCD,
    0x5AE1, 0xCD,
    0x5AE2, 0xCD,
    0x5AE3, 0xCD,
    0x5AE4, 0xCD,
    0x5AE5, 0xCD,
    0x5AE6, 0xCD,
    0x5AE7, 0xCD,
    0x5AE8, 0xCD,
    0x5AE9, 0xCD,
    0x5AEA, 0xCD,
    0x5AEB, 0xCD,
    0x5AEC, 0xCD,
    0x5AED, 0xCD,
    0x5AEE, 0xCD,
    0x5AEF, 0xCD,
    0x5AF0, 0xCD,
    0x5AF1, 0xCD,
    0x5AF2, 0xCD,
    0x5AF3, 0xCD,
    0x5AF4, 0xCD,
    0x5AF5, 0xCD,
    0x5AF6, 0xCD,
    0x5AF7, 0xCD,
    0x5AF8, 0xCD,
    0x5AF9, 0xCD,
    0x5AFA, 0xCD,
    0x5AFB, 0xCD,
    0x5AFC, 0xCD,
    0x5AFD, 0xCD,
    0x5AFE, 0xCD,
    0x5AFF, 0xCD,
    0x5B00, 0xCD,
    0x5B01, 0xCD,
    0x5B02, 0xCD,
    0x5B03, 0xCD,
    0x5B04, 0xCD,
    0x5B05, 0xCD,
    0x5B06, 0xCD,
    0x5B07, 0xCD,
    0x5B08, 0xCD,
    0x5B09, 0xCD,
    0x5B0A, 0xCD,
    0x5B0B, 0xCD,
    0x5B0C, 0xCD,
    0x5B0D, 0xCD,
    0x5B0E, 0xCD,
    0x5B0F, 0xCD,
    0x5B10, 0xCD,
    0x5B11, 0xCD,
    0x5B12, 0xCD,
    0x5B13, 0xCD,
    0x5B14, 0xCD,
    0x5B15, 0xCD,
    0x5B16, 0xCD,
    0x5B17, 0xCD,
    0x5B18, 0xCD,
    0x5B19, 0xCD,
    0x5B1A, 0xCD,
    0x5B1B, 0xCD,
    0x5B1C, 0xCD,
    0x5B1D, 0xCD,
    0x5B1E, 0xCD,
    0x5B1F, 0xCD,
    0x5B20, 0xCD,
    0x5B21, 0xCD,
    0x5B22, 0xCD,
    0x5B23, 0xCD,
    0x5B24, 0xCD,
    0x5B25, 0xCD,
    0x5B26, 0xCD,
    0x5B27, 0xCD,
    0x5B28, 0xCD,
    0x5B29, 0xCD,
    0x5B2A, 0xCD,
    0x5B2B, 0xCD,
    0x5B2C, 0xCD,
    0x5B2D, 0xCD,
    0x5B2E, 0xCD,
    0x5B2F, 0xCD,
    0x5B30, 0xCD,
    0x5B31, 0xCD,
    0x5B32, 0xCD,
    0x5B33, 0xCD,
    0x5B34, 0xCD,
    0x5B35, 0xCD,
    0x5B36, 0xCD,
    0x5B37, 0xCD,
    0x5B38, 0xCD,
    0x5B39, 0xCD,
    0x5B3A, 0xCD,
    0x5B3B, 0xCD,
    0x5B3C, 0xCD,
    0x5B3D, 0xCD,
    0x5B3E, 0xCD,
    0x5B3F, 0xCD,
    0x5B40, 0xCD,
    0x5B41, 0xCD,
    0x5B42, 0xCD,
    0x5B43, 0xCD,
    0x5B44, 0xCD,
    0x5B45, 0xCD,
    0x5B46, 0xCD,
    0x5B47, 0xCD,
    0x5B48, 0xCD,
    0x5B49, 0xCD,
    0x5B4A, 0xCD,
    0x5B4B, 0xCD,
    0x5B4C, 0xCD,
    0x5B4D, 0xCD,
    0x5B4E, 0xCD,
    0x5B4F, 0xCD,
    0x5B50, 0xCD,
    0x5B51, 0xCD,
    0x5B52, 0xCD,
    0x5B53, 0xCD,
    0x5B54, 0xCD,
    0x5B55, 0xCD,
    0x5B56, 0xCD,
    0x5B57, 0xCD,
    0x5B58, 0xCD,
    0x5B59, 0xCD,
    0x5B5A, 0xCD,
    0x5B5B, 0xCD,
    0x5B5C, 0xCD,
    0x5B5D, 0xCD,
    0x5B5E, 0xCD,
    0x5B5F, 0xCD,
    0x5B60, 0xCD,
    0x5B61, 0xCD,
    0x5B62, 0xCD,
    0x5B63, 0xCD,
    0x5B64, 0xCD,
    0x5B65, 0xCD,
    0x5B66, 0xCD,
    0x5B67, 0xCD,
    0x5B68, 0xCD,
    0x5B69, 0xCD,
    0x5B6A, 0xCD,
    0x5B6B, 0xCD,
    0x5B6C, 0xCD,
    0x5B6D, 0xCD,
    0x5B6E, 0xCD,
    0x5B6F, 0xCD,
    0x5B70, 0xCD,
    0x5B71, 0xCD,
    0x5B72, 0xCD,
    0x5B73, 0xCD,
    0x5B74, 0xCD,
    0x5B75, 0xCD,
    0x5B76, 0xCD,
    0x5B77, 0xCD,
    0x5B78, 0xCD,
    0x5B79, 0xCD,
    0x5B7A, 0xCD,
    0x5B7B, 0xCD,
    0x5B7C, 0xCD,
    0x5B7D, 0xCD,
    0x5B7E, 0xCD,
    0x5B7F, 0xCD,
    0x5B80, 0xCD,
    0x5B81, 0xCD,
    0x5B82, 0xCD,
    0x5B83, 0xCD,
    0x5B84, 0xCD,
    0x5B85, 0xCD,
    0x5B86, 0xCD,
    0x5B87, 0xCD,
    0x5B88, 0xCD,
    0x5B89, 0xCD,
    0x5B8A, 0xCD,
    0x5B8B, 0xCD,
    0x5B8C, 0xCD,
    0x5B8D, 0xCD,
    0x5B8E, 0xCD,
    0x5B8F, 0xCD,
    0x5B90, 0xCD,
    0x5B91, 0xCD,
    0x5B92, 0xCD,
    0x5B93, 0xCD,
    0x5B94, 0xCD,
    0x5B95, 0xCD,
    0x5B96, 0xCD,
    0x5B97, 0xCD,
    0x5B98, 0xCD,
    0x5B99, 0xCD,
    0x5B9A, 0xCD,
    0x5B9B, 0xCD,
    0x5B9C, 0xCD,
    0x5B9D, 0xCD,
    0x5B9E, 0xCD,
    0x5B9F, 0xCD,
    0x5BA0, 0xCD,
    0x5BA1, 0xCD,
    0x5BA2, 0xCD,
    0x5BA3, 0xCD,
    0x5BA4, 0xCD,
    0x5BA5, 0xCD,
    0x5BA6, 0xCD,
    0x5BA7, 0xCD,
    0x5BA8, 0xCD,
    0x5BA9, 0xCD,
    0x5BAA, 0xCD,
    0x5BAB, 0xCD,
    0x5BAC, 0xCD,
    0x5BAD, 0xCD,
    0x5BAE, 0xCD,
    0x5BAF, 0xCD,
    0x5BB0, 0xCD,
    0x5BB1, 0xCD,
    0x5BB2, 0xCD,
    0x5BB3, 0xCD,
    0x5BB4, 0xCD,
    0x5BB5, 0xCD,
    0x5BB6, 0xCD,
    0x5BB7, 0xCD,
    0x5BB8, 0xCD,
    0x5BB9, 0xCD,
    0x5BBA, 0xCD,
    0x5BBB, 0xCD,
    0x5BBC, 0xCD,
    0x5BBD, 0xCD,
    0x5BBE, 0xCD,
    0x5BBF, 0xCD,
    0x5BC0, 0xCD,
    0x5BC1, 0xCD,
    0x5BC2, 0xCD,
    0x5BC3, 0xCD,
    0x5BC4, 0xCD,
    0x5BC5, 0xCD,
    0x5BC6, 0xCD,
    0x5BC7, 0xCD,
    0x5BC8, 0xCD,
    0x5BC9, 0xCD,
    0x5BCA, 0xCD,
    0x5BCB, 0xCD,
    0x5BCC, 0xCD,
    0x5BCD, 0xCD,
    0x5BCE, 0xCD,
    0x5BCF, 0xCD,
    0x5C00, 0x41,
    0x5C01, 0x04,
    0x5C02, 0x00,
    0x5C03, 0x41,
    0x5C16, 0x00,
    0x5C17, 0x50,
    0x5C18, 0x00,
    0x5C19, 0x50,
    0x5C1A, 0x00,
    0x5C1B, 0x50,
    0x5C1C, 0x00,
    0x5C1D, 0x50,
    0x5C1E, 0x00,
    0x5C1F, 0x50,
    0x5C20, 0x00,
    0x5C21, 0x50,
    0x5C22, 0x00,
    0x5C23, 0x50,
    0x5C24, 0x00,
    0x5C25, 0x50,
    0x5C26, 0x00,
    0x5C27, 0x50,
    0x5C28, 0x00,
    0x5C29, 0x50,
    0x5C2A, 0x00,
    0x5C2B, 0x50,
    0x5C2C, 0x00,
    0x5C2D, 0x50,
    0x5C2E, 0x02,
    0x5C2F, 0x03,
    0x5C36, 0x0A,
    0x5C37, 0x0B,
    0x5C44, 0x08,
    0x5C45, 0x07,
    0x5C46, 0x06,
    0x5C47, 0x05,
    0x5C48, 0x0A,
    0x5C49, 0x02,
    0x5C4A, 0x01,
    0x5C4B, 0x09,
    0x5C4C, 0x0C,
    0x5C4D, 0x04,
    0x5C4E, 0x03,
    0x5C4F, 0x0B,
    0x5C50, 0x10,
    0x5C51, 0x0F,
    0x5C52, 0x0E,
    0x5C53, 0x0D,
    0x5C54, 0x10,
    0x5C55, 0x10,
    0x5C56, 0x04,
    0x5C57, 0x0C,
    0x5C58, 0x04,
    0x5C59, 0x0C,
    0x5C5A, 0x04,
    0x5C5B, 0x0C,
    0x5C5C, 0x04,
    0x5C5D, 0x0C,
    0x5C5E, 0x01,
    0x5C5F, 0x01,
    0x5C68, 0x02,
    0x5C69, 0x03,
    0x5C6A, 0x03,
    0x5C6B, 0x02,
    0x5C6C, 0x40,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
    0x5D00, 0x66,
    0x5D01, 0x08,
    0x5D02, 0x84,
    0x5D03, 0x04,
    0x5D05, 0x02,
    0x5D08, 0x08,
    0x5D09, 0x08,
    0x5D0A, 0x02,
    0x5D0B, 0x06,
    0x5D0C, 0x02,
    0x5D0D, 0x06,
    0x5D0E, 0x02,
    0x5D0F, 0x06,
    0x5D10, 0x02,
    0x5D11, 0x06,
    0x5D12, 0x00,
    0x5D13, 0x00,
    0x5D14, 0xFF,
    0x5D15, 0x10,
    0x5D16, 0x10,
    0x5D17, 0x10,
    0x5D18, 0x10,
    0x5D19, 0xFF,
    0x5D1A, 0x10,
    0x5D1B, 0x10,
    0x5D1C, 0x10,
    0x5D1D, 0x10,
    0x5D1E, 0x04,
    0x5D1F, 0x04,
    0x5D20, 0x04,
    0x5D21, 0xFF,
    0x5D27, 0x64,
    0x5D28, 0xC8,
    0x5D29, 0x96,
    0x5D2A, 0xFF,
    0x5D2B, 0xC8,
    0x5D2C, 0xFF,
    0x5D2D, 0x04,
    0x5D37, 0x08,
    0x5D38, 0x1F,
    0x5D39, 0x60,
    0x5D3A, 0x17,
    0x5D3B, 0x80,
    0x5D80, 0x21,
    0x5D85, 0x19,
    0x5D88, 0x04,
    0x5D89, 0x0C,
    0x5D8A, 0x04,
    0x5D8B, 0x0C,
    0x5D8C, 0x04,
    0x5D8D, 0x0C,
    0x5D8E, 0x04,
    0x5D8F, 0x0C,
    0x5D90, 0x01,
    0x5D91, 0x01,
    0x5DB0, 0x0F,
    0x5EC1, 0x08,
    0x5EC2, 0x04,
    0x5EC3, 0x0C,
    0x5EC4, 0x04,
    0x5EC5, 0x0C,
    0x5EC6, 0x02,
    0x5EC7, 0x06,
    0x5EC8, 0x02,
    0x5EC9, 0x06,
    0x5ECA, 0x01,
    0x5ECB, 0x00,
    0x5ECE, 0x00,
    0x5ECF, 0x04,
    0x5E40, 0x03,
    0x5EA0, 0x11,
    0x0304, 0x01,
    0x0305, 0x75,
    0x0344, 0x01,
    0x0345, 0x22,
    0x034B, 0x00,
    0x0350, 0x01,
    0x3501, 0x0B,
    0x3502, 0x68,
    0x3608, 0x35,
    0x3622, 0x11,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x07,
    0x3689, 0x27,
    0x368E, 0x0F,
    0x3703, 0x35,
    0x3706, 0x2A,
    0x3709, 0x7A,
    0x370B, 0x62,
    0x3712, 0x50,
    0x3714, 0x63,
    0x3729, 0x01,
    0x372B, 0x8A,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0x00,
    0x3802, 0x00,
    0x3803, 0x00,
    0x3804, 0x1F,
    0x3805, 0x5F,
    0x3806, 0x17,
    0x3807, 0x8F,
    0x3808, 0x0F,
    0x3809, 0xA0,
    0x380A, 0x0B,
    0x380B, 0xB8,
    0x380C, 0x04,
    0x380D, 0x20,
    0x380E, 0x0E,
    0x380F, 0x34,
    0x3811, 0x09,
    0x3813, 0x08,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3820, 0x02,
    0x3821, 0x06,
    0x3822, 0x10,
    0x3837, 0x18,
    0x383D, 0x09,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x4002, 0x13,
    0x4010, 0xE8,
    0x4016, 0x0F,
    0x4018, 0x07,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4641, 0x3E,
    0x4643, 0x0C,
    0x480E, 0x04,
    0x4837, 0x08,
    0x484B, 0x27,
    0x4850, 0x43,
    0x5000, 0x8D,
    0x5001, 0x23,
    0x5002, 0x9E,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5188, 0x08,
    0x5198, 0x08,
    0x533D, 0x00,
    0x5880, 0x81,
    0x5C00, 0x41,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
    0x5D0E, 0x02,
    0x5D0F, 0x06,
    0x5D10, 0x02,
    0x3046, 0x01,
};
static void load_init_setting(void)
{
    table_write_cmos_sensor(init_setting,
        sizeof(init_setting)/sizeof(kal_uint16));
}

static kal_uint16 preview_setting[] = {
    0x0305, 0x75,
    0x0345, 0x22,
    0x0350, 0x01,
    0x3501, 0x0B,
    0x3502, 0x68,
    0x3608, 0x35,
    0x3622, 0x11,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x07,
    0x3689, 0x27,
    0x368E, 0x0F,
    0x3703, 0x35,
    0x3706, 0x2A,
    0x3709, 0x7A,
    0x370B, 0x62,
    0x3712, 0x50,
    0x3714, 0x63,
    0x3729, 0x01,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0x00,
    0x3802, 0x00,
    0x3803, 0x00,
    0x3804, 0x1F,
    0x3805, 0x5F,
    0x3806, 0x17,
    0x3807, 0x8F,
    0x3808, 0x0F,
    0x3809, 0xA0,
    0x380A, 0x0B,
    0x380B, 0xB8,
    0x380C, 0x04,
    0x380D, 0x20,
    0x380E, 0x0E,
    0x380F, 0x34,
    0x3811, 0x09,
    0x3813, 0x08,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3820, 0x02,
    0x3821, 0x06,
    0x3822, 0x10,
    0x3837, 0x18,
    0x383D, 0x09,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x4002, 0x13,
    0x4010, 0xE8,
    0x4016, 0x0F,
    0x4018, 0x07,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4641, 0x3E,
    0x4643, 0x0C,
    0x480E, 0x04,
    0x4837, 0x08,
    0x484B, 0x27,
    0x4850, 0x43,
    0x5000, 0x8F,
    0x5001, 0x23,
    0x5002, 0x9E,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5198, 0x08,
    0x533D, 0x00,
    0x5C00, 0x41,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
};
static void load_preview_setting(void)
{
    table_write_cmos_sensor(preview_setting,
        sizeof(preview_setting)/sizeof(kal_uint16));
}

static kal_uint16 capture_setting[] = {
    0x0305, 0x75,
    0x0345, 0x22,
    0x0350, 0x01,
    0x3501, 0x0B,
    0x3502, 0x68,
    0x3608, 0x35,
    0x3622, 0x11,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x07,
    0x3689, 0x27,
    0x368E, 0x0F,
    0x3703, 0x35,
    0x3706, 0x2A,
    0x3709, 0x7A,
    0x370B, 0x62,
    0x3712, 0x50,
    0x3714, 0x63,
    0x3729, 0x01,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0x00,
    0x3802, 0x00,
    0x3803, 0x00,
    0x3804, 0x1F,
    0x3805, 0x5F,
    0x3806, 0x17,
    0x3807, 0x8F,
    0x3808, 0x0F,
    0x3809, 0xA0,
    0x380A, 0x0B,
    0x380B, 0xB8,
    0x380C, 0x04,
    0x380D, 0x20,
    0x380E, 0x0E,
    0x380F, 0x34,
    0x3811, 0x09,
    0x3813, 0x08,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3820, 0x02,
    0x3821, 0x06,
    0x3822, 0x10,
    0x3837, 0x18,
    0x383D, 0x09,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x4002, 0x13,
    0x4010, 0xE8,
    0x4016, 0x0F,
    0x4018, 0x07,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4641, 0x3E,
    0x4643, 0x0C,
    0x480E, 0x04,
    0x4837, 0x08,
    0x484B, 0x27,
    0x4850, 0x43,
    0x5000, 0x8F,
    0x5001, 0x23,
    0x5002, 0x9E,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5198, 0x08,
    0x533D, 0x00,
    0x5C00, 0x41,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
};
static void load_capture_setting(void)
{
    table_write_cmos_sensor(capture_setting,
        sizeof(capture_setting)/sizeof(kal_uint16));
}

static kal_uint16 normal_video_setting[] = {
    0x0305, 0x75,
    0x0345, 0x22,
    0x0350, 0x01,
    0x3501, 0x0B,
    0x3502, 0x68,
    0x3608, 0x35,
    0x3622, 0x11,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x07,
    0x3689, 0x27,
    0x368E, 0x0F,
    0x3703, 0x35,
    0x3706, 0x2A,
    0x3709, 0x7A,
    0x370B, 0x62,
    0x3712, 0x50,
    0x3714, 0x63,
    0x3729, 0x01,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0x00,
    0x3802, 0x00,
    0x3803, 0x00,
    0x3804, 0x1F,
    0x3805, 0x5F,
    0x3806, 0x17,
    0x3807, 0x8F,
    0x3808, 0x0F,
    0x3809, 0xA0,
    0x380A, 0x0B,
    0x380B, 0xB8,
    0x380C, 0x04,
    0x380D, 0x20,
    0x380E, 0x0E,
    0x380F, 0x34,
    0x3811, 0x09,
    0x3813, 0x08,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3820, 0x02,
    0x3821, 0x06,
    0x3822, 0x10,
    0x3837, 0x18,
    0x383D, 0x09,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x4002, 0x13,
    0x4010, 0xE8,
    0x4016, 0x0F,
    0x4018, 0x07,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4641, 0x3E,
    0x4643, 0x0C,
    0x480E, 0x04,
    0x4837, 0x08,
    0x484B, 0x27,
    0x4850, 0x43,
    0x5000, 0x8F,
    0x5001, 0x23,
    0x5002, 0x9E,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5198, 0x08,
    0x533D, 0x00,
    0x5C00, 0x41,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
};
static void load_normal_video_setting(void)
{
    table_write_cmos_sensor(normal_video_setting,
        sizeof(normal_video_setting)/sizeof(kal_uint16));
}

static kal_uint16 high_speed_video_setting[] = {
    0x0305, 0x75,
    0x0345, 0x04,
    0x0350, 0x00,
    0x3501, 0x04,
    0x3502, 0x60,
    0x3608, 0x35,
    0x3622, 0x18,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x02,
    0x3689, 0x07,
    0x368E, 0x00,
    0x3703, 0x3A,
    0x3706, 0x2A,
    0x3709, 0x9A,
    0x370B, 0x6A,
    0x3712, 0x50,
    0x3714, 0x61,
    0x3729, 0x00,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0xA0,
    0x3802, 0x03,
    0x3803, 0x50,
    0x3804, 0x1E,
    0x3805, 0xBF,
    0x3806, 0x14,
    0x3807, 0x3F,
    0x3808, 0x07,
    0x3809, 0x80,
    0x380A, 0x04,
    0x380B, 0x38,
    0x380C, 0x01,
    0x380D, 0x98,
    0x380E, 0x09,
    0x380F, 0x30,
    0x3811, 0x05,
    0x3813, 0x04,
    0x3814, 0x31,
    0x3815, 0x31,
    0x3820, 0x42,
    0x3821, 0x1D,
    0x3822, 0x08,
    0x3837, 0x05,
    0x383D, 0x04,
    0x3856, 0x20,
    0x3857, 0x04,
    0x3858, 0x40,
    0x3859, 0x08,
    0x4002, 0xD3,
    0x4010, 0xE8,
    0x4016, 0x07,
    0x4018, 0x01,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0x64,
    0x4641, 0x3E,
    0x4643, 0x08,
    0x480E, 0x00,
    0x4837, 0x08,
    0x484B, 0x07,
    0x4850, 0x43,
    0x5000, 0x89,
    0x5001, 0x02,
    0x5002, 0x92,
    0x5185, 0x2B,
    0x5187, 0x88,
    0x5198, 0xC8,
    0x533D, 0x00,
    0x5C00, 0x41,
    0x5C6D, 0x00,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
};
static void load_high_speed_video_setting(void)
{
    table_write_cmos_sensor(high_speed_video_setting,
        sizeof(high_speed_video_setting)/sizeof(kal_uint16));
}

static kal_uint16 slim_video_setting[] = {
    0x0305, 0xEA,
    0x0345, 0x04,
    0x0350, 0x00,
    0x3501, 0x0B,
    0x3502, 0x68,
    0x3608, 0x35,
    0x3622, 0x10,
    0x3624, 0x18,
    0x3639, 0xC0,
    0x363B, 0x0B,
    0x363D, 0x25,
    0x363E, 0x47,
    0x3684, 0x02,
    0x3689, 0x07,
    0x368E, 0x00,
    0x3703, 0x3A,
    0x3706, 0x2A,
    0x3709, 0x9A,
    0x370B, 0x6A,
    0x3712, 0x50,
    0x3714, 0x61,
    0x3729, 0x00,
    0x373B, 0x20,
    0x373D, 0x26,
    0x375D, 0x02,
    0x375E, 0x02,
    0x37B2, 0x30,
    0x37B5, 0x36,
    0x37B7, 0x00,
    0x37B8, 0x00,
    0x37BA, 0x00,
    0x37BC, 0x00,
    0x3800, 0x00,
    0x3801, 0xA0,
    0x3802, 0x03,
    0x3803, 0x50,
    0x3804, 0x1E,
    0x3805, 0xBF,
    0x3806, 0x14,
    0x3807, 0x3F,
    0x3808, 0x0F,
    0x3809, 0x00,
    0x380A, 0x08,
    0x380B, 0x70,
    0x380C, 0x02,
    0x380D, 0x40,
    0x380E, 0x1A,
    0x380F, 0x0A,
    0x3811, 0x09,
    0x3813, 0x04,
    0x3814, 0x11,
    0x3815, 0x11,
    0x3820, 0x02,
    0x3821, 0x14,
    0x3822, 0x00,
    0x3837, 0x0B,
    0x383D, 0x09,
    0x3856, 0x10,
    0x3857, 0x04,
    0x3858, 0x20,
    0x3859, 0x08,
    0x4002, 0xD3,
    0x4010, 0xE8,
    0x4016, 0x0F,
    0x4018, 0x07,
    0x4510, 0x00,
    0x4600, 0x00,
    0x4601, 0xC8,
    0x4641, 0x1F,
    0x4643, 0x08,
    0x480E, 0x00,
    0x4837, 0x06,
    0x484B, 0x07,
    0x4850, 0x43,
    0x5000, 0x8B,
    0x5001, 0x03,
    0x5002, 0x9E,
    0x5185, 0x0B,
    0x5187, 0x00,
    0x5198, 0x08,
    0x533D, 0x00,
    0x5C00, 0x41,
    0x5C6D, 0x02,
    0x5C7A, 0x42,
    0x5C7B, 0x24,
};
static void load_slim_video_setting(void)
{
    table_write_cmos_sensor(slim_video_setting,
        sizeof(slim_video_setting)/sizeof(kal_uint16));
}

#endif

